#ifndef mod_dns_h
#define mod_dns_h



// get module config (r - request_rec)
#define MODDNS_DIR_CONFIG(r) ((moddns_dir_config*) ap_get_module_config ((r)->per_dir_config, &dns_module))



// default config and stuff
#define OPT_DNS_LOOKUP_ON		1
#define OPT_DNS_LOOKUP_OFF		0
#define OPT_DNS_LOOKUP_DEFAULT		(OPT_DNS_LOOKUP_OFF)
#define OPT_DNS_TIMEOUT_DEFAULT		"5500"
#define OPT_DNS_RESENDTIMER_DEFAULT	"1900"

// assume ~ 200 bytes per stored node (avg is probably closer to 150)
#define DEFAULT_DNS_HASH_SIZE		1024	// must be multiple of 2!
#define DEFAULT_DNS_SHARED_SIZE		204800	// 50 pages
#define DEFAULT_DNS_SHARED_FILE		"/var/run/moddns_cache"



/*
 * Support for MM library
 */
#ifndef WIN32
#define DNS_MM_FILE_MODE ( S_IRUSR|S_IWUSR )
#else
#define DNS_MM_FILE_MODE ( _S_IREAD|_S_IWRITE )
#endif



#endif
